### Enumeration

# AppStream BundleKind

#### Declaration

    enum AppStream.BundleKind

#### Description [src]

The bundle type.

#### Members

`AS_BUNDLE_KIND_UNKNOWN`

  Type invalid or not known.

  - Value: `0`
  - Available since: 1.0
`AS_BUNDLE_KIND_PACKAGE`

  A native package (currently not used).

  - Value: `1`
  - Available since: 1.0
`AS_BUNDLE_KIND_LIMBA`

  A Limba bundle.

  - Value: `2`
  - Available since: 1.0
`AS_BUNDLE_KIND_FLATPAK`

  A Flatpak bundle.

  - Value: `3`
  - Available since: 1.0
`AS_BUNDLE_KIND_APPIMAGE`

  An AppImageKit bundle.

  - Value: `4`
  - Available since: 1.0
`AS_BUNDLE_KIND_SNAP`

  A Snap/Snappy bundle.

  - Value: `5`
  - Available since: 1.0
`AS_BUNDLE_KIND_TARBALL`

  A (maybe compressed) tarball.

  - Value: `6`
  - Available since: 1.0
`AS_BUNDLE_KIND_CABINET`

  Cabinet firmware deployment.

  - Value: `7`
  - Available since: 1.0
`AS_BUNDLE_KIND_LINGLONG`

  A Linglong bundle.

  - Value: `8`
  - Available since: 1.0

#### Type functions

###### as_bundle_kind_from_string

Converts the text representation to an enumerated value.

###### as_bundle_kind_to_string

Converts the enumerated value to an text representation.

since: 0.8.0